Author ned.deily
Recipients Jim Zajkowski, ned.deily, ronaldoussoren
Date 2015-07-04.08:54:05
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1436000046.45.0.97032911351.issue24502@psf.upfronthosting.co.za>
In-reply-to
Content
Right, that would be a good reason!  I seem to recall that, when I initially tested flat-package building and installation, there were problems with pkgs not getting properly installed when version was set, possibly due to confusion between installs and upgrades.  And that might have been due in part to our abuse of some of the Info.plist keys, in particular, CFBundleVersion, at least for pre-releases ('3.5.0b2').  I'd like to move away from installer packages altogether but that will have to wait until 3.6.  We may be able to get a proper version number through pkgutil for current releases but it will require a fair amount of time to explore and thoroughly test.  (Some automated install tests would make it a lot easier.)
History
Date User Action Args
2015-07-04 08:54:06ned.deilysetrecipients: + ned.deily, ronaldoussoren, Jim Zajkowski
2015-07-04 08:54:06ned.deilysetmessageid: <1436000046.45.0.97032911351.issue24502@psf.upfronthosting.co.za>
2015-07-04 08:54:06ned.deilylinkissue24502 messages
2015-07-04 08:54:05ned.deilycreate